---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/images/events_v1_views_images_create_image_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Upload image

<!-- markdownlint-disable-file -->

Uploads an image to add to the form.

Parameters:
- **survey_id**: form ID
- **image**: field containing the image data

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/surveys/{survey_id}/images
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_survey_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Pattern:_{.json-schema-reset .json-schema-assertion} `^[a-fA-F\d]{24}$`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "multipart/form-data" %}

```json translate=no
{
  "image": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_image_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;binary&gt;

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__201">

## 201 Created

Created

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": 0,
  "links": {},
  "name": "example",
  "check_status": "check"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_links_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Type**: Links" %}

#|
||

_[additional]_{.json-schema-reset .json-schema-additional-property}
{.table-cell}|
**Type**: string&lt;uri&gt;

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Max length:_{.json-schema-reset .json-schema-assertion} `2083`

_Example:_{.json-schema-reset .json-schema-example} `https://example.com`
{.table-cell}
||
|#{.json-schema-properties}

{% endcut %}

List of links to different image sizes

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{}
```

{% endcut %}
{.table-cell}
||
||

_check_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **FileCheckStatusType**

  **Type**: [FileCheckStatusType](#entity-FileCheckStatusType)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `check`, `ready`, `infected`, `error`, `deleted`

{% endcut %}

Image upload status

_Example:_{.json-schema-reset .json-schema-example} `check`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Image ID
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Original image file name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### FileCheckStatusType {#entity-FileCheckStatusType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `check`, `ready`, `infected`, `error`, `deleted`

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.